<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myWorkRequirementLabel" jhiTranslate="mpmApp.workRequirement.home.createOrEditLabel">Create or edit a Work Requirement</h6>
        <button type="button" class="close" aria-hidden="true" (click)="previousState()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!workRequirement.idRequirement">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workRequirement.idRequirement" readonly />
        </div>

        <div class="form-group">
            <label jhiTranslate="mpmApp.workRequirement.services" for="field_services">Services</label>
            <select class="form-control" id="field_services" multiple name="services" [(ngModel)]="workRequirement.services">
                <option [ngValue]="getSelected(workRequirement.services, workServiceRequirementOption)" *ngFor="let workServiceRequirementOption of workservicerequirements; trackBy: trackWorkServiceRequirementById">{{workServiceRequirementOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="previousState()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
